Subject: bug#40998: [PATCH v2 4/4] initrd: Print its command-line parameters.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Mon, 28 Feb 2022 03:45:23 +0000

On 19 February 2022 07:01:55 UTC, Maxim Cournoyer <[email-masked]> wrote:
>* gnu/build/linux-boot.scm (boot-system): Print command-line parameters to
>standard output.
>---
> gnu/build/linux-boot.scm | 2 ++
> 1 file changed, 2 insertions(+)
>
>diff --git a/gnu/build/linux-boot.scm b/gnu/build/linux-boot.scm
>index 2f8b114806..30442ec8f8 100644
>--- a/gnu/build/linux-boot.scm
>+++ b/gnu/build/linux-boot.scm
>@@ -542,6 +542,8 @@ (define (device-string->file-system-device device-string)
>              (root-fs*    (find root-mount-point? mounts))
>              (fsck.mode (find-long-option "fsck.mode" args)))
> 
>+        (format #t "initrd command-line parameters: ~a~%" args)
>+
>         (unless (or root-fs* (and root-device rootfstype))
>           (error "no root file system or 'root' and 'rootfstype' parameters"))
> 

I suggest dropping this patch.  The kernel already does this.  It's just noise.

I've installed the others here.  Thanks!
Kind regards,

T G-R

Sent on the go.  Excuse or enjoy my brevity.